## com.sun.jersey.spi.inject
Annotation Type Inject

Deprecated. see `InjectParam`

    @Target(value={PARAMETER,METHOD,FIELD})
    @Retention(value=RUNTIME)
    @Documented
    @Deprecated
    public @interface Inject

Used to annotate fields or parameters that shall be injected with resource class instances or instances obtained from registered IoC component provider factories (if any).

If the name of instance to inject is not recognized or there is no IoC component provider factory registered then no injection will occur.

Author:
  Martin Grotzke

Optional Element Summary
`java.lang.String` | `value` Deprecated.

### value

    public abstract java.lang.String value

  Deprecated.
  Returns:
    the name of the object to inject, by default the name is the class name of the type that is injected.
  Default:
    ""

Copyright © 2017 Oracle Corporation. All Rights Reserved.